Summary
Update Automation
Description
Update an Automation.
Route
PATCH /operations-manager/automations/:id
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to update. |
| updates |
object |
yes |
The details of the Automation document to update. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"gbac": {
"write": [
"7fca56f38f1b201692dc053d",
"cf4bd74d1b55fd5ed9b94fa6",
"43c302ab66c7e96b218fc350"
],
"read": [
"cd1cb2e69b75b3c7d7065a9b"
]
},
"componentId": "2DCdD49C-50fa-E499-4B28-1dF3E8F1f2EB"
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": "Pronghorn",
"created": "1965-09-25T01:35:09.402Z",
"lastUpdatedBy": "a4760fbce609855966f3fc05",
"lastUpdated": "1966-12-20T05:09:54.215Z",
"_id": "2b9ed52d853a4cb145e00f6d",
"gbac": {
"write": [
"1be3612e0fa2175b31067992",
"ab1c27a9624fec1e6634c74a",
"ca28a20e68183917c9587d20",
"c9cb08a00740dcc4c5a44634",
"ed38fc951e21b1613296c6bf"
],
"read": [
"78cb6cadd0f1726a121df8b1"
]
},
"componentId": "e08c3d213fb0fbde8236a906"
}
}